Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Class XmlRpcLite14HttpTransport

    java.lang.Object
      org.apache.xmlrpc.client.XmlRpcTransportImpl
          org.apache.xmlrpc.client.XmlRpcStreamTransport
              org.apache.xmlrpc.client.XmlRpcHttpTransport
                  org.apache.xmlrpc.client.XmlRpcLiteHttpTransport
                      org.apache.xmlrpc.client.XmlRpcLite14HttpTransport

All Implemented Interfaces:
  XmlRpcTransport

    public class XmlRpcLite14HttpTransport

extends XmlRpcLiteHttpTransport

A "light" HTTP transport implementation for Java 1.4.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xmlrpc.client.XmlRpcHttpTransport
`XmlRpcHttpTransport.ByteArrayReqWriter`

Nested classes/interfaces inherited from class org.apache.xmlrpc.client.XmlRpcStreamTransport
`XmlRpcStreamTransport.GzipReqWriter, XmlRpcStreamTransport.ReqWriter, XmlRpcStreamTransport.ReqWriterImpl`

Field Summary

Fields inherited from class org.apache.xmlrpc.client.XmlRpcHttpTransport
`USER_AGENT`

Constructor Summary
`XmlRpcLite14HttpTransport(XmlRpcClient pClient)` Creates a new instance.

Method Summary
`javax.net.ssl.SSLSocketFactory` | `getSSLSocketFactory()` Sets the SSL Socket Factory to use for https connections.
`protected java.net.Socket` | `newSocket(boolean pSSL, java.lang.String pHostName, int pPort)`
`void` | `setSSLSocketFactory(javax.net.ssl.SSLSocketFactory pSSLSocketFactory)` Returns the SSL Socket Factory to use for https connections.

Methods inherited from class org.apache.xmlrpc.client.XmlRpcLiteHttpTransport
`close, getInputStream, isResponseGzipCompressed, isUsingByteArrayOutput, sendRequest, setRequestHeader, writeRequest`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcHttpTransport
`getUserAgent, initHttpHeaders, newReqWriter, setCompressionHeaders, setContentLength, setCredentials`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcStreamTransport
`isCompressingRequest, newXMLReader, readResponse`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcTransportImpl
`getClient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcLite14HttpTransport

    public XmlRpcLite14HttpTransport(XmlRpcClient pClient)

  Creates a new instance.

  Parameters:
    `pClient` - The client controlling this instance.

Method Detail

### getSSLSocketFactory

    public javax.net.ssl.SSLSocketFactory getSSLSocketFactory()

  Sets the SSL Socket Factory to use for https connections.

### setSSLSocketFactory

    public void setSSLSocketFactory(javax.net.ssl.SSLSocketFactory pSSLSocketFactory)

  Returns the SSL Socket Factory to use for https connections.

### newSocket

    protected java.net.Socket newSocket(boolean pSSL,
                                        java.lang.String pHostName,
                                        int pPort)
                                 throws java.net.UnknownHostException,
                                        java.io.IOException

  Overrides:
    `newSocket` in class `XmlRpcLiteHttpTransport`
  Throws:
    `java.net.UnknownHostException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.